none
Version Tango

    Question

  • Hola, tengo dos preguntas acerca de la version Tango (7.10.8773.98) es que apenas hace unos dias me aparecio que ya podia actualizar mi Lg Optimus 7 (e900) a esta version, como recien habia visto video acerca de WP8 y que los terminales actuales tendrian la version 7.8, pues me puse a investigar cual era, lo que resulto se tango finalmente tango.

    Y es que como mi lg tiene 256MB en RAM, no se si al actualizar a Tango me aparesca como un dispositivo de gama baja , es que he estado viendo, videos, comparativas, etc. Y pues no me gustaria que mi telefono decallera porque ademas para el desarrollo lo uso normalmente, y he visto que varias aplicaciones no se pueden instalar.

    Otra pregunta es que lei hace tiempo que podiamos bajar las herramientas 7.1.1 para dispositivos de 256MB, pero como ya no lei mas del tema no estoy muy seguro de como sea.

    Es decir, si tengo mis aplicaciones en el marketplace desarrolladas con la version 7.1 estas no van a estar disponibles para los dispositivos de 256MB nunca ? y ni anque consuman menos de 60MB (que es lo que permite esta version, a diferencia de la completa de 90MB) ¿tengo que bajar la 7.1.1 y volver a compilar mis aplicaciones? o ¿si es posible que mis apps de bajos recursos si sirvan en estos dispositivos?

    Espero alguien me pueda orientar, saludos.

    Thursday, July 12, 2012 6:34 PM

Answers

All replies

  • Hola kokokolo.

    Si tu dispositivo sólo tiene 256Mb de RAM probablemente ya viniera con Tango instalado y, no por tener la versión Tango pasa a ser de gama baja, sino que lo que lo hace ser de "gama baja" (relativamente) es el tener 256Mb de RAM, con lo que ya lo era al comprarlo.

    Respondiendo a tu pregunta sobre el SDK 7.1.1, sí, permite que al depurar el emulador establezca el límite de 256Mb de RAM simulando un dispositivo con esta limitación pero, esto no quiere decir que las aplicaciones desarrolladas con el SDK 7.1 no vayan a funcionar en terminales que, como el tuyo, tengan 256Mb de RAM, sino que sólo las que consuman más memoria del límite establecido por aplicación serán las que no se pueden instalar porque evidentemente no podrían funcionar.

    En resumen, desarrolles con 7.1 o con 7.1.1 tus aplicaciones, si consumen menos del límite por aplicación en Tango, podrán estar disponibles para todos los dispositivos, con lo que no tendrías que recompilar tus aplicaciones.


    "En los momentos de crisis, sólo la imaginación es más importante que el conocimiento"

    Thursday, July 12, 2012 7:38 PM
  • Hola kokokolo

    Tu LG, si es el Optimus 7, tiene 512 Mb de RAM. Es de la primera oleada de dispositivos y todos tenian 512Mb de RAM por obligación. Lo que te aporta Tango será mejoras, corrección de Bugs y alguna nueva feature.

    En cuando al SDK 7.1.1, si no haces nada, por defecto tus apps funcionarán en dispositivos con poca memoria (256Mb) siempre y cuando no consuman más de 60Mb de RAM.

    Aquí detallo algunas novedades de 7.1.1, deberías instalarla al fin y al cabo es la ultima versión del SDK, hay que mantener las herramientas actualizadas :)

    http://geeks.ms/blogs/jyeray/archive/2012/03/27/windows-phone-7-5-sdk-7-1-1-rtw-con-licencia-go-live.aspx

    http://geeks.ms/blogs/jyeray/archive/2012/03/13/windows-phone-tango-preparando-nuestras-aplicaciones-i.aspx

    Un saludote!


    MCTS - .NET 4.0 Windows Applications
    MCTS - .NET 4.0 Data Access
    MCTS - .NET 4.0 Service Communication Applications
    MCPD - .NET 4.0 Windows Developer
    Visita mi Blog en Geeks.ms
    Sigueme en Twitter

    Friday, July 13, 2012 7:16 AM